﻿@{ 
    using (HOD.Data.Entities.HODContext dbContext = new HOD.Data.Entities.HODContext())
    {
         var uid = WebSecurity.CurrentUserId;
         var userListing = dbContext.Listings.Where(x => x.UserId == uid).FirstOrDefault();
         var userdetails = dbContext.UserProfiles.Where(x => x.UserId == uid).FirstOrDefault();
       
      
         var isFreeTier = true;
         var agentId = 0;


         try
         {
             ViewBag.listingId = userListing.ListingId;
             ViewBag.VuelistingId = "vue0" + userListing.ListingId;
             ViewBag.Name = userdetails.FirstName + ' ' + userdetails.LastName;
             //ViewBag.UserPackage = userdetails.MaxUploadCount;
         }
         catch (NullReferenceException nfe)
         {
             ViewBag.listingId = "0";
             ViewBag.VuelistingId = "vue0";
         }
    }

    var userpackage = "";

    using (HOD.Models.UsersContext db = new HOD.Models.UsersContext())
    {
        var uid = WebSecurity.CurrentUserId;
        var userinfo = db.UserProfiles.Where(x => x.UserId == uid).FirstOrDefault();

        if (Convert.ToInt32(userinfo.MaxUploadCount) == 6)
        {
            userpackage = "Free Package";
        }

        if (userinfo.MaxUploadCount == null)
        {
            userpackage = "Free Package";
        }


        if (Convert.ToInt32(userinfo.MaxUploadCount) == 60)
        {
            userpackage = "Beginner Package";
        }

        if (Convert.ToInt32(userinfo.MaxUploadCount) == 120)
        {
            userpackage = "Advanced Package";
        }

        if (Convert.ToInt32(userinfo.MaxUploadCount) > 120)
        {
            userpackage = "Complete Package";
        }
        
            
    }
    
    }

 

<div class="admin-navigation">
    <div class="admin-navigation-inner">
        <nav>
            <ul class="menu">
                <li class="avatar">
                    <a href="~/Account/Dashboard">
                        <img src="../assets/img/tmp/agents/male.jpg" alt="">
                        <span class="avatar-content">
                            <span class="avatar-title">@ViewBag.Name</span>
                            <span class="avatar-subtitle">@userpackage</span>
                        </span><!-- /.avatar-content -->
                    </a>
                </li>
                <li class="@if(ViewBag.menuItem == "dashboard") {  @ViewBag.Active }">
                    <a href="~/Account/Dashboard"><strong><i class="fa fa-dashboard"></i></strong> <span>Dashboard</span></a>
                </li>
                <li class="@if(ViewBag.menuItem == "editlisting") {  @ViewBag.Active }">
                    <a href="~/Listing/Edit/@ViewBag.listingId"><strong><i class="fa fa-pencil"></i></strong> <span>Edit My Property</span></a>
                </li>
                <li class="@if (ViewBag.menuItem == "fullListing") {  @ViewBag.Active }">
                    <a href="~/Listing/viewFullListing/@ViewBag.VuelistingId"><strong><i class="fa fa-list"></i></strong> <span>View My Property</span></a>
                </li>

                <li class="@if (ViewBag.menuItem == "virtuallawn") {  @ViewBag.Active }">
                    <a href="~/Listing/ListingTemplate/@ViewBag.listingId"><strong><i class="fa fa-list-alt"></i></strong> <span>View My Virtual Lawn sign</span></a>
                </li>
                @*<li class="">
                    <a href="https://www.facebook.com/share.php?u=http://casavue.com&amp;title=Casavue%20Listing" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=600,width=600');return false;"><strong><i class="fa fa-facebook-official"></i></strong> <span>Share on Facebook</span></a>
                </li>
                <li class="">
                    <a href="#div_show_adgenerator" class="fancybox"><strong><i class="fa fa-share-alt"></i></strong> <span>Share on Craigslist</span></a>
                </li>*@
                <li class="">
                    <a href="~/Account/Upgrade"><strong><i class="fa fa-user"></i></strong> <span>Edit/Upgrade My Account</span></a>
                </li>
                <li>
                    <a href="~/Account/Logout"><strong><i class="fa fa-sign-out"></i></strong> <span>Logout</span></a>
                </li>
            </ul>
        </nav>
        <div class="layer"></div>
    </div><!-- /.admin-navigation-inner -->
</div>
